Rem
Rem $Header: dbmsiotc.sql 05-jun-97.03:06:10 gdoherty Exp $
Rem
Rem dbmsiotc.sql
Rem
Rem  Copyright (c) Oracle Corporation 1996, 1997. All Rights Reserved.
Rem
Rem    NAME
Rem      dbmsiotc.sql - IOT CHained rows - create table
Rem
Rem    DESCRIPTION
Rem      this package creates a table into which references to the chained
Rem      rows for an iot can be placed using the analyze command.
Rem
Rem    NOTES
Rem      <other useful comments, qualifications, etc.>
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem    gdoherty    06/05/97 - invoke prvtiotc
Rem    jsriniva    10/01/96 - iot: add build_exceptions_table
Rem    jsriniva    07/24/96 - change package name
Rem    gdoherty    07/22/96 - formerly utliotch.sql
Rem    mmonajje    05/22/96 - Replace precision col name with precision#
Rem    aho         03/01/96 - change index type from 2 to 4
Rem    aho         02/27/96 - utliotch.sql
Rem    aho         02/27/96 - Created
Rem
 
create or replace package dbms_iot is
procedure build_chain_rows_table(owner in varchar2,
		      iot_name in varchar2,
		      chainrow_table_name in varchar2 
			    default 'IOT_CHAINED_ROWS');

procedure build_exceptions_table(owner in varchar2,
		      iot_name in varchar2,
		      exceptions_table_name in varchar2 
			    default 'IOT_EXCEPTIONS');
end;
/

drop public synonym dbms_iot
/
create public synonym dbms_iot for sys.dbms_iot
/
grant execute on dbms_iot to public
/
@@prvtiotc.plb
